org.apache.geode.management

## Interface DistributedLockServiceMXBean

-     public interface DistributedLockServiceMXBean

  MBean that provides access to information for a named instance of `DistributedLockService`. Since any number of DistributedLockService objects can be created by a member there may be 0 or more instances of this MBean available.
  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `fetchGrantorMember()` Returns of the name of the member which grants the lock.
    `int` | `getMemberCount()` Returns the number of members using this LockService.
    `java.lang.String[]` | `getMemberNames()` Returns a list of names of the members using this LockService.
    `java.lang.String` | `getName()` Returns the name of the LockService.
    `java.lang.String[]` | `listHeldLocks()` Returns a list of names of the locks held by this member's threads.
    `java.util.Map<java.lang.String,java.lang.String>` | `listThreadsHoldingLock()` Returns a map of the names of the objects being locked on and the names of the threads holding the locks.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the LockService.

    - #### getMemberCount

          int getMemberCount()

      Returns the number of members using this LockService.

    - #### fetchGrantorMember

          java.lang.String fetchGrantorMember()

      Returns of the name of the member which grants the lock.

    - #### getMemberNames

          java.lang.String[] getMemberNames()

      Returns a list of names of the members using this LockService.

    - #### listThreadsHoldingLock

          java.util.Map<java.lang.String,java.lang.String> listThreadsHoldingLock()

      Returns a map of the names of the objects being locked on and the names of the threads holding the locks.

    - #### listHeldLocks

          java.lang.String[] listHeldLocks()

      Returns a list of names of the locks held by this member's threads.